// Generated from frams/frams-objects.cpp
// A header file for the frams-objects library (.dll and .so)

#ifndef _FRAMS_OBJECTS_H_
#define _FRAMS_OBJECTS_H_

#ifdef _WIN32
#define EXPORTED __declspec(dllimport)
#else
#define EXPORTED extern
#endif

EXPORTED void init(int argc, char* argv[]);
EXPORTED void extFree(void* e);
EXPORTED int extType(void* e);
EXPORTED void* extFromNull();
EXPORTED void* extFromInt(int v);
EXPORTED void* extFromDouble(double v);
EXPORTED void* extFromString(char* v);
EXPORTED int extIntValue(void *v);
EXPORTED double extDoubleValue(void *v);
EXPORTED char* extStringValue(void *v);
EXPORTED char* extClass(void* v);
EXPORTED int extPropCount(void *v);
EXPORTED char* extPropId(void *v, int i);
EXPORTED char* extPropType(void *v, int i);
EXPORTED char* extPropName(void *v, int i);
EXPORTED int extPropFlags(void *v, int i);
EXPORTED int extPropGroup(void *v, int i);
EXPORTED char* extPropHelp(void *v, int i);
EXPORTED int extPropFind(void *v, char* id);
EXPORTED void* extPropGet(void *v, int i);
EXPORTED int extPropSet(void *v, int i, void* e);
EXPORTED void* extPropCall(void *v, int i, int argc, void* argv);
EXPORTED int extGroupCount(void *v);
EXPORTED char* extGroupName(void *v, int i);
EXPORTED int extGroupMember(void *v, int g, int i);
EXPORTED int extMemberCount(void *v, int g);
EXPORTED void* rootObject();

#endif
